Page 4 of 5 FirstFirst ... 2345 LastLast
Results 31 to 40 of 46

Thread: IRONMAIDEN 8.0.3 ported to FreeBSD

  1. #31
    Join Date
    Apr 2009
    Location
    Bratislava, Slovakia
    Posts
    93
    Rep Power
    6

    Default unvis

    Quote Originally Posted by Maed View Post
    Successfully installed Ironmaiden-808 on clean FreeBSD 9.2, but got same annoying issue with "unvis" as kosl:
    Code:
    slapd[68867]: unable to dlopen /opt/zimbra/cyrus-sasl-2.1.26.2z/lib/sasl2/libgs2.so.3: /opt/zimbra/heimdal-1.5.2/lib/libroken.so.19: Undefined symbol "unvis"
    Is anyone got any luck fixing it?
    hello Maed,

    i am not guru-ish enough to fix this issue (compiler/linker along with /usr/include/vis.h issues). i have almost no C skills. or none at all.

    if you are not afraid of simple and brutal solutions, you can try:
    Code:
    root@[zimbra8-freebsd92 /opt/zimbra/cyrus-sasl/lib/sasl2] # mkdir broken
    root@[zimbra8-freebsd92 /opt/zimbra/cyrus-sasl/lib/sasl2] # mv libgs* broken/
    unless you badly need gss that is.

    best wishes,

    s.

  2. #32
    Join Date
    Apr 2014
    Posts
    2
    Rep Power
    1

    Default

    Skolko, thanks for reply. I`ll try to build it myself on FreeBSD 10 using the "ports" and the patch you provided at https://wiki.zimbra.com/wiki/Zimbra_on_FreeBSD. I already built 808`s "builddeps" and "rundeps" (but i confused my HDDs and now I have to re-build it again ).
    The problem is: I cant clone "ironmaiden-808-foss" sources as described in zimbra wiki ( https://wiki.zimbra.com/wiki/Building_Zimbra_using_Git )! Cloning "ironmaiden-807-foss" is OK, but ironmaiden-808-foss is not due to missing repo or incorrect rights. How did you get the source??

    Regards,
    Maed.

  3. #33
    Join Date
    Apr 2009
    Location
    Bratislava, Slovakia
    Posts
    93
    Rep Power
    6

    Default

    Quote Originally Posted by Maed View Post
    Skolko, thanks for reply. I`ll try to build it myself on FreeBSD 10 using the "ports" and the patch you provided at https://wiki.zimbra.com/wiki/Zimbra_on_FreeBSD. I already built 808`s "builddeps" and "rundeps" (but i confused my HDDs and now I have to re-build it again ).
    The problem is: I cant clone "ironmaiden-808-foss" sources as described in zimbra wiki ( https://wiki.zimbra.com/wiki/Building_Zimbra_using_Git )! Cloning "ironmaiden-807-foss" is OK, but ironmaiden-808-foss is not due to missing repo or incorrect rights. How did you get the source??

    Regards,
    Maed.
    maed,
    i used the same exact steps described in wiki:

    git clone git@zimbra-git:ironmaiden-foss

    if you are still having trouble downloading the correct source i can give you mine - it is revision 6038.

    furthermore, building new zimbra isn't that easy. you will need Sencha cmd along with openjdk8. however, it probably won't build on freebsd 10 because of pkgng.

  4. #34
    Join Date
    May 2014
    Posts
    1
    Rep Power
    1

    Default

    Hallo

    Got some trouble with the zimbra 8.0.8 on freebsd 9.2.

    When I go to configure an choose MTA i get this failure!! what should I do... anyone??


    Ett JavaScript-fel inträffade in method ZaOverviewPanelController.prototype._overviewTreeL istener

    fileName: https://x.x.x.x:7071/zimbraAdmin/js/...v=140410115603 lineNumber: 457 columnNumber: 0

  5. #35
    Join Date
    Feb 2012
    Posts
    81
    Rep Power
    3

    Default

    Quote Originally Posted by Maed View Post
    The problem is: I cant clone "ironmaiden-808-foss" sources as described in zimbra wiki ( https://wiki.zimbra.com/wiki/Building_Zimbra_using_Git )! Cloning "ironmaiden-807-foss" is OK, but ironmaiden-808-foss is not due to missing repo or incorrect rights. How did you get the source??
    The problem is, they're using that horribly bugging "git-fusion" for mirroring from p4 to git.
    And they're even using it the wrong way, so the history is messed up (eg. no common
    ancestors between branches, shortened history, etc).

    Even worse: they dont even have stable release tags (well, p4 doesn't know that concept at all,
    instead it only supports labeling groups of files - a totally different, which by the way makes
    it very easy to mess things up ;-p).

    The fact that they're playing around w/ that horrible tool p4 also explains why development,
    especially fixes for existing releases, take to long. And by reading though their bugzilla
    comments, it gets pretty clear they're having completely wrong workflows (eg. doing
    bugfixes in the mainline first, then manually backporting them to older maintenance branches).

    Of course, that's a total mess and just burns resources.

    Perforce and its total lack of support for sophisticated workflows (eg. no rebase) is one
    of the major problem makers.

  6. #36
    Join Date
    May 2013
    Location
    Ujung Pandang, Indonesia
    Posts
    10
    Rep Power
    2

    Default

    I have successfully install Zimbra 8.0.8 r6038 on clean FreeBSD 9.3 installation

    First time execute ./FreeBSD_amd64.install.sh it will force to install latest perl-5.14.4_4 from FreeBSD ports and then comes an error.

    Code:
    Can't locate DBI.pm in @INC (@INC contains: /opt/zimbra/zimbramon/lib /opt/zimbra/libexec/scripts /opt/zimbra/zimbramon/lib/Zimbra/DB /opt/zimbra/zimbramon/lib/Zimbra/Mon /opt/zimbra/zimbramon/lib/Zimbra/SOAP /opt/zimbra/libexec /usr/local/lib/perl5/5.14/BSDPAN /usr/local/lib/perl5/site_perl/5.14/mach /usr/local/lib/perl5/site_perl/5.14 /usr/local/lib/perl5/5.14/mach /usr/local/lib/perl5/5.14 .) at /opt/zimbra/libexec/scripts/Migrate.pm line 18, line 635.
    BEGIN failed--compilation aborted at /opt/zimbra/libexec/scripts/Migrate.pm line 18, line 635.
    Compilation failed in require at /opt/zimbra/libexec/zmupgrade.pm line 23, line 635.
    BEGIN failed--compilation aborted at /opt/zimbra/libexec/zmupgrade.pm line 23, line 635.
    Compilation failed in require at /opt/zimbra/libexec/zmsetup.pl line 80, line 635.
    BEGIN failed--compilation aborted at /opt/zimbra/libexec/zmsetup.pl line 80, line 635.
    So I decide to extract zimbra 8.0.8 package and install perl-5.14.2_2 from there.

    Another error is I can’t access Zimbra Administration Console-Configure-Global Settings-MTA interface.

    Code:
    JavaScript error encountered in method ZaOverviewPanelController.prototype._overviewTreeL istener
    As this menu contains important settings like Protocol Checks, DNS checks, List of RBLs etc.

    I was reading somewhere on zimbra forum that they removed sencha-cmd as a build requirement for FOSS. If this meant something, I would love to see zimbra works on pkgng package manager.

    Solko, if you have ported another release, please let me know …thanks in advance

    cheers,

    Ary Firman

    root@mail:~ # uname –a
    FreeBSD mail.mydomain.com 9.3-RELEASE FreeBSD 9.3-RELEASE #0 r268512: Thu Jul 10 23:44:39 UTC 2014 root@snap.freebsd.org:/usr/obj/usr/src/sys/GENERIC amd64

    [zimbra@mail ~]$ zmcontrol -v
    Release 8.0.8_GA_6038.FreeBSD_amd64 FreeBSD_amd64 FOSS edition
    Last edited by Ary Firman; 07-22-2014 at 12:56 AM.

  7. #37
    Join Date
    Apr 2009
    Location
    Bratislava, Slovakia
    Posts
    93
    Rep Power
    6

    Default

    ary,
    the perl problem is somehow related to new perl and/or new freebsd and/or pkgng. yes, i am completely in the dark. basically, it fails to find the libraries in @INC. it has something to do with mach* and auto* stuff as it new fbsd/perl looks under different location. it would not be a problem if zimbra was build on 9.3.

    9.3+/10+ needs a complete rework of the source tree to comply with pkgng.

    as for sencha.. i have overcome sencha issues by mixing multiple jdk versions but it would be most awesome if we could do without it!

    not much of a help, i know but i really lack time to handle this project properly . and i basically use linux for zimbra now.

    best wishes,

    s.

  8. #38
    Join Date
    May 2013
    Location
    Ujung Pandang, Indonesia
    Posts
    10
    Rep Power
    2

    Default

    ary,
    the perl problem is somehow related to new perl and/or new freebsd and/or pkgng. yes, i am completely in the dark. basically, it fails to find the libraries in @INC. it has something to do with mach* and auto* stuff as it new fbsd/perl looks under different location. it would not be a problem if zimbra was build on 9.3.
    Thank you for quick reply, solko. On my test server that libraries or link error has solved by installing perl-5.14.2_2 and i didn't find error on log report...CMIIW

    9.3+/10+ needs a complete rework of the source tree to comply with pkgng.
    as for sencha.. i have overcome sencha issues by mixing multiple jdk versions but it would be most awesome if we could do without it!
    I can't comment on this, since it's really pain for me trying to port zimbra...learn...learn RTFM

    not much of a help, i know but i really lack time to handle this project properly and i basically use linux for zimbra now.
    Sorry to hear that, but FYI...I have 2 FreeBSD server that each one of them running Zimbra 8.0.4 with hundreds users, Nginx + Wordpress + MySQL, Bind9 with only 4GB RAM. FreeBSD handle this all and I am very amazed of it. And don't forget that all of it running IPv6

    Seems like i am going to miss your statement...."Beat that, Linux :P."

    btw, I can set that MTA settings by using cli...

    cheers,

    Ary Firman

  9. #39
    Join Date
    Apr 2009
    Location
    Bratislava, Slovakia
    Posts
    93
    Rep Power
    6

    Default

    Quote Originally Posted by Ary Firman View Post
    Thank you for quick reply, solko. On my test server that libraries or link error has solved by installing perl-5.14.2_2 and i didn't find error on log report...CMIIW
    Seems like i am going to miss your statement...."Beat that, Linux :P."
    well, i have never said i would stop trying to port zimbra altogether. it's just.. i lack time. i used to spare all my free time with computers and now i can't.
    anyway, it's not like i am a linux lover now, i do not think my 3 linux servers would qualify .

    poke me on skype every month if you can spare the energy... and i will eventually break .

    best wishes,

    s.

  10. #40
    Join Date
    Jul 2014
    Posts
    1
    Rep Power
    1

    Default SASL authentication error

    Hallo,

    my name is Giovanni, I'm from Italy.

    I've installed ZIMBRA IRONMAIDEN 8.0.8 on FreeBSD 9.0 Stable

    $ zmcontrol -v
    Release 8.0.8_GA_6038.FreeBSD_amd64 FreeBSD_amd64 FOSS edition.

    $ : uname -a
    FreeBSD zimbra.electribe.eu 9.0-STABLE FreeBSD 9.0-STABLE #0: Mon Jun 18 09:48:10 CEST 2012 amd64
    All works fine except SASL authentication via email client (thunderbird).

    When I try to send email SASL authentication doesn't work, in the log report I found:

    PHP Code:
    Jul 27 09:19:04 zimbra saslauthd[90269]: zmauthauthenticating against elected url 'https://zimbra.electribe.eu:7071/service/admin/soap/' ...
    Jul 27 09:19:04 zimbra postfix/smtps/smtpd[91096]: warningSASL authentication failuresize read failed
    Jul 27 09
    :19:04 zimbra postfix/smtps/smtpd[91096]: warningSASL authentication failurePassword verification failed
    Jul 27 09
    :19:04 zimbra postfix/smtps/smtpd[91096]: warningip-87-238-25-75.static.adsl.cheapnet.it[87.238.25.75]: SASL PLAIN authentication failedgeneric failure
    Jul 27 09
    :19:04 zimbra saslauthd[90270]: zmauthauthenticating against elected url 'https://zimbra.electribe.eu:7071/service/admin/soap/' ...
    Jul 27 09:19:04 zimbra postfix/smtps/smtpd[91096]: warningSASL authentication failuresize read failed
    Jul 27 09
    :19:04 zimbra postfix/smtps/smtpd[91096]: warningip-87-238-25-75.static.adsl.cheapnet.it[87.238.25.75]: SASL LOGIN authentication failedgeneric failure 
    The error is "size read failed" and this error driving me crazy
    I dont know why this is happening? Except for these error, the system seems to run perfectly.
    Can someone help me find a solution?

    Thanks in advance
    Giovanni

    P.S. Sorry for my bad english

Similar Threads

  1. HELIX 7.1.1 ported to FreeBSD
    By solko in forum Installation
    Replies: 22
    Last Post: 05-21-2013, 05:37 AM
  2. ZCS 6.0.1 ported to FreeBSD7
    By solko in forum Installation
    Replies: 138
    Last Post: 02-24-2012, 07:46 AM
  3. FreeBSD
    By reza225 in forum Installation
    Replies: 3
    Last Post: 08-26-2006, 04:34 AM
  4. FreeBSD
    By Counsel in forum Installation
    Replies: 3
    Last Post: 11-23-2005, 02:20 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •